<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<ui:composition xmlns="http://www.w3.org/1999/xhtml"  xmlns:gri="http://java.sun.com/jsf/composite/gri" xmlns:s="http://jboss.org/schema/seam/taglib" xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:f="http://java.sun.com/jsf/core" xmlns:h="http://java.sun.com/jsf/html" xmlns:rich="http://richfaces.org/rich" xmlns:a4j="http://richfaces.org/a4j" template="/layout/template.xhtml">
  <ui:define name="body">
    <h1>#{messages['gazelle.xdw.simulator.ViewXDWDocument']}</h1>
    <h:form id="globalForm" enctype="multipart/form-data">
      <gri:panel pid="panelGlob">
        <f:facet name="header">#{messages['gazelle.xdw.simulator.ViewXDWDocument']}</f:facet>
        
		<h:selectOneRadio value="#{XDWToolsMan.uploadOrEdit}">
			<f:selectItem itemLabel="Upload" itemValue="Upload"/>
			<f:selectItem itemLabel="Edit" itemValue="Edit"/>
			<f:ajax event="change" render="viewPan" />
		</h:selectOneRadio>
		
		<s:div id="viewPan">
			<s:div id="uploadDiv" rendered="#{XDWToolsMan.uploadOrEdit.equals('Upload')}">
				 <h:outputText value="#{messages['gazelle.xdw.simulator.UploadXDWDocumentAsXMLFile']}"/>
				 <br/>
				<rich:fileUpload id="uploadMessage"
					fileUploadListener="#{XDWToolsMan.uploadEventlistener}"
					maxFilesQuantity="1" acceptedTypes="xml" 
	                 	immediateUpload="true" listHeight="60px">
				</rich:fileUpload>
			</s:div>
			
			<s:div id="editDiv" rendered="#{XDWToolsMan.uploadOrEdit.equals('Edit')}">
				 <h:outputText value="#{messages['gazelle.xdw.simulator.WriteDWDocumentContent']}" />
				 <br/>
				<h:inputTextarea id="messagearea" value="#{XDWToolsMan.xdwDoc}" cols="100" rows="7" maxlength="2048" />
			</s:div>
        </s:div>
        <br />
        <br />
		<a4j:commandButton value="#{messages['gazelle.xdw.simulator.View']}"
			actionListener="#{XDWToolsMan.generateXDot()}"
			styleClass="gzl-btn-blue"
			render="panelGlob" />
		<br />
        <br />
        <s:div rendered="#{XDWToolsMan.xslContent != null}">
          <gri:tabPanel>
            <gri:tab head="#{messages['gazelle.xdw.simulator.XSLPresentation']}">
              <h:outputText escape="false" value="#{XDWToolsMan.xslContent}"></h:outputText>
            </gri:tab>
            <gri:tab head="#{messages['gazelle.xdw.simulator.Diagram']}">
              <s:graphicImage value="#{XDWToolsMan.xdwDiagram}"></s:graphicImage>
            </gri:tab>
          </gri:tabPanel>
        </s:div>
      </gri:panel>
    </h:form>
  </ui:define>
</ui:composition>
